"""
Currex - A Python library for currency conversion and arithmetic
"""

from .config import currex_config
from .currency import Currency
from .exchange import ExchangeRateAPI
from .factory import (
    AED,
    AFN,
    AOA,
    ARS,
    AUD,
    BAM,
    BGN,
    BRL,
    BYN,
    CAD,
    CDF,
    CHF,
    CLP,
    CNY,
    COP,
    CUP,
    CZK,
    DKK,
    EUR,
    GBP,
    GEL,
    GHS,
    GNF,
    HKD,
    HUF,
    IDR,
    ILS,
    INR,
    ISK,
    JPY,
    KRW,
    KZT,
    MDL,
    MGA,
    MRU,
    MXN,
    MZN,
    NIO,
    NOK,
    NZD,
    PEN,
    PHP,
    PKR,
    PLN,
    RON,
    RSD,
    RUB,
    SDG,
    SEK,
    SGD,
    SRD,
    STN,
    THB,
    TJS,
    TMT,
    TRY,
    TWD,
    UAH,
    UGX,
    USD,
    UYU,
    UZS,
    VES,
    XAF,
    XOF,
    ZAR,
    ZMW,
)

__version__ = "0.1.2"
__all__ = [
    "Currency",
    "ExchangeRateAPI",
    "currex_config",
    "USD",
    "EUR",
    "GBP",
    "JPY",
    "CHF",
    "AUD",
    "CAD",
    "CNY",
    "HKD",
    "NZD",
    "SEK",
    "KRW",
    "SGD",
    "NOK",
    "MXN",
    "INR",
    "RUB",
    "ZAR",
    "TRY",
    "BRL",
    "TWD",
    "DKK",
    "PLN",
    "THB",
    "IDR",
    "CZK",
    "AED",
    "AFN",
    "AOA",
    "ARS",
    "BAM",
    "BGN",
    "BYN",
    "CDF",
    "CLP",
    "COP",
    "CUP",
    "GEL",
    "GHS",
    "GNF",
    "HUF",
    "ILS",
    "ISK",
    "KZT",
    "MDL",
    "MGA",
    "MRU",
    "MZN",
    "NIO",
    "PEN",
    "PHP",
    "PKR",
    "RON",
    "RSD",
    "SDG",
    "SRD",
    "STN",
    "TJS",
    "TMT",
    "UAH",
    "UGX",
    "UYU",
    "UZS",
    "VES",
    "XAF",
    "XOF",
    "ZMW",
]
